help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: cfengine 2.0.4 installation problem


From: Thomas Glanzmann
Subject: Re: cfengine 2.0.4 installation problem
Date: 19 Dec 2002 13:45:03 GMT
User-agent: slrn/0.9.7.4 (Linux)

In article <address@hidden>, Zeev Fisher wrote:
> Hi,
> 
> I'm trying to run the configure script of cfengine 2.0.4 and i get an 
> error for openssl :
> 
> checking OpenSSL Version... configure: error: This release of cfengine 
> requires openssl 0.9.6b or later
> 
> I get this although i installed openssl version 0.9.6h :
> 
> [65] address@hidden ==> openssl
> OpenSSL> version
> OpenSSL 0.9.6h  5 Dec 2002
> 
> Any idea ?
> 
> Thanks a lot in advance.

#!/bin/bash
export BUILDDIR=/tmp/sithglan-cfengine
export CFENGINEVERSION='2.0.5pre'
export BERKLEYDBVERSION='4.0.14'
export OPENSSLVERSION='0.9.6g'
export SOURCEPATH='/src/cipsec/cfengine/source'
export 
PATH="/opt/SUNWspro/bin:/usr/ccs/bin:/usr/bin:/tmp/sithglan-cfengine/openssl-${OPENSSLVERSION}/apps"

rm -rf ${BUILDDIR}
mkdir -p ${BUILDDIR}
cd ${BUILDDIR}

gzcat ${SOURCEPATH}/cfengine-${CFENGINEVERSION}.tar.gz | tar xf -
gzcat ${SOURCEPATH}/db-${BERKLEYDBVERSION}.tar.gz | tar xf -
gzcat ${SOURCEPATH}/openssl-${OPENSSLVERSION}.tar.gz | tar xf -

cd ${BUILDDIR}/openssl-${OPENSSLVERSION}
./Configure solaris-sparcv8-cc
make
ln -s . lib

cd ${BUILDDIR}/db-${BERKLEYDBVERSION}/dist
./configure
make
cd ..
rm -rf include
ln -s dist include
ln -s dist/.libs lib
cd dist/.libs
ln -s libdb-4.0.a libdb.a

cd ${BUILDDIR}/cfengine-${CFENGINEVERSION}
./configure --prefix=/var/cfengine 
--with-berkeleydb=${BUILDDIR}/db-${BERKLEYDBVERSION} 
--with-openssl=${BUILDDIR}/openssl-${OPENSSLVERSION} --bindir=/var/cfengine/bin 
--sbindir=/var/cfengine/bin 
make
/local/gnu-utils-1.0/gbin/make DESTDIR=${BUILDDIR}/cfengine 
install-exec-recursive

cd ${BUILDDIR}/cfengine/var/cfengine/bin
tar cf - cfexecd cfenvgraph cfenvd cfkey cfrun cfservd cfagent | gzip -c > 
/src/cipsec/cfengine/sithglan/cfengine-${CFENGINEVERSION}-sos5.tgz 
cd /tmp
rm -rf ${BUILDDIR}

echo 'I am done!'

-- 
Rathsbergerstrasse 28     D-91054 Erlangen / Burgberg     +49 (0) 9131 - 614720
>From address@hidden Thu Dec 19 10:49:27 2002
Received: from list by monty-python.gnu.org with tmda-scanned (Exim 4.10.13)
        id 18P2vP-0003Fx-00
        for address@hidden; Thu, 19 Dec 2002 10:49:27 -0500
Received: from mail by monty-python.gnu.org with spam-scanned (Exim 4.10.13)
        id 18P2vM-0003FJ-00
        for address@hidden; Thu, 19 Dec 2002 10:49:26 -0500
Received: from corp.eb.com ([216.146.93.6] helo=chiex03.britannica.net)
        by monty-python.gnu.org with esmtp (Exim 4.10.13)
        id 18P2sz-0002Nw-00
        for address@hidden; Thu, 19 Dec 2002 10:46:57 -0500
Received: by chiex03.britannica.net with Internet Mail Service (5.5.2656.59)
        id <YMTMNKC3>; Thu, 19 Dec 2002 09:46:55 -0600
Message-ID: <address@hidden>
From: "Wheeler, John" <address@hidden>
To: 'Zeev Fisher' <address@hidden>
Date: Thu, 19 Dec 2002 09:46:54 -0600
MIME-Version: 1.0
X-Mailer: Internet Mail Service (5.5.2656.59)
Content-Type: multipart/alternative;
        boundary="----_=_NextPart_001_01C2A775.DAFD49C0"
cc: "'address@hidden'" <address@hidden>
Subject: RE: cfengine 2.0.4 installation problem
X-BeenThere: address@hidden
X-Mailman-Version: 2.1b5
Precedence: list
List-Id: Users list for GNU cfengine  <help-cfengine.gnu.org>
List-Help: <mailto:address@hidden>
List-Post: <mailto:address@hidden>
List-Subscribe: <http://mail.gnu.org/mailman/listinfo/help-cfengine>,
        <mailto:address@hidden>
List-Archive: <http://mail.gnu.org/pipermail/help-cfengine>
List-Unsubscribe: <http://mail.gnu.org/mailman/listinfo/help-cfengine>,
        <mailto:address@hidden>
X-List-Received-Date: Thu, 19 Dec 2002 15:49:27 -0000

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_001_01C2A775.DAFD49C0
Content-Type: text/plain

Not sure if you are on solaris, I have the same problem. Turns out
/usr/ucblib is needed. 
Fixed with 
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/ucblib 
Could also use crle.

wheeler

> -----Original Message-----
> From: Zeev Fisher [mailto:address@hidden 
> Sent: Thursday, December 19, 2002 7:31 AM
> To: address@hidden
> Subject: cfengine 2.0.4 installation problem
> 
> 
> Hi,
> 
> I'm trying to run the configure script of cfengine 2.0.4 and i get an 
> error for openssl :
> 
> checking OpenSSL Version... configure: error: This release of 
> cfengine 
> requires openssl 0.9.6b or later
> 
> I get this although i installed openssl version 0.9.6h :
> 
> [65] address@hidden ==> openssl
> OpenSSL> version
> OpenSSL 0.9.6h  5 Dec 2002
> 
> Any idea ?
> 
> Thanks a lot in advance.
> 
> 
> -- 
> Zeev Fisher - Unix System Administrator
> Galileo Technology Ltd - A Marvell Company
> Moshav Manof, D.N. Misgav 20184, ISRAEL
> Email    -  address@hidden
> Tel      -  + 972 4 8225046 ext. 2402
> Cell     -  + 972 54 995402
> Fax      -  + 972 4 8326420
> WWW Page:     http://www.marvell.com
> 
> --------------------------------------------------------------
> ----------
> This message may contain confidential, proprietary or legally 
> privileged information. The information is intended only for 
> the use of the individual or entity named above. If the 
> reader of this message is not the intended recipient, you are 
> hereby notified that any dissemination, distribution or 
> copying of this communication is strictly prohibited. If you 
> have received this communication in error, please notify us 
> immediately by telephone, or by e-mail and delete the message 
> from your computer.
> 
> 
> 
> 
> _______________________________________________
> Help-cfengine mailing list
> address@hidden 
> http://mail.gnu.org/mailman/listinfo/help-> cfengine
> 

------_=_NextPart_001_01C2A775.DAFD49C0
Content-Type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=us-ascii">
<META NAME="Generator" CONTENT="MS Exchange Server version 5.5.2654.45">
<TITLE>RE: cfengine 2.0.4 installation problem</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=2>Not sure if you are on solaris, I have the same problem. Turns 
out /usr/ucblib is needed. </FONT>
<BR><FONT SIZE=2>Fixed with </FONT>
<BR><FONT SIZE=2>export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/ucblib </FONT>
<BR><FONT SIZE=2>Could also use crle.</FONT>
</P>

<P><FONT SIZE=2>wheeler</FONT>
</P>

<P><FONT SIZE=2>&gt; -----Original Message-----</FONT>
<BR><FONT SIZE=2>&gt; From: Zeev Fisher [<A 
HREF="mailto:address@hidden";>mailto:address@hidden</A>] </FONT>
<BR><FONT SIZE=2>&gt; Sent: Thursday, December 19, 2002 7:31 AM</FONT>
<BR><FONT SIZE=2>&gt; To: address@hidden</FONT>
<BR><FONT SIZE=2>&gt; Subject: cfengine 2.0.4 installation problem</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; Hi,</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; I'm trying to run the configure script of cfengine 2.0.4 
and i get an </FONT>
<BR><FONT SIZE=2>&gt; error for openssl :</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; checking OpenSSL Version... configure: error: This 
release of </FONT>
<BR><FONT SIZE=2>&gt; cfengine </FONT>
<BR><FONT SIZE=2>&gt; requires openssl 0.9.6b or later</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; I get this although i installed openssl version 0.9.6h 
:</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; [65] address@hidden ==&gt; openssl</FONT>
<BR><FONT SIZE=2>&gt; OpenSSL&gt; version</FONT>
<BR><FONT SIZE=2>&gt; OpenSSL 0.9.6h&nbsp; 5 Dec 2002</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; Any idea ?</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; Thanks a lot in advance.</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; -- </FONT>
<BR><FONT SIZE=2>&gt; Zeev Fisher - Unix System Administrator</FONT>
<BR><FONT SIZE=2>&gt; Galileo Technology Ltd - A Marvell Company</FONT>
<BR><FONT SIZE=2>&gt; Moshav Manof, D.N. Misgav 20184, ISRAEL</FONT>
<BR><FONT SIZE=2>&gt; Email&nbsp;&nbsp;&nbsp; -&nbsp; address@hidden</FONT>
<BR><FONT SIZE=2>&gt; Tel&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp; + 972 4 8225046 
ext. 2402</FONT>
<BR><FONT SIZE=2>&gt; Cell&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp; + 972 54 
995402</FONT>
<BR><FONT SIZE=2>&gt; Fax&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp; + 972 4 
8326420</FONT>
<BR><FONT SIZE=2>&gt; WWW Page:&nbsp;&nbsp;&nbsp;&nbsp; <A 
HREF="http://www.marvell.com"; TARGET="_blank">http://www.marvell.com</A></FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; 
--------------------------------------------------------------</FONT>
<BR><FONT SIZE=2>&gt; ----------</FONT>
<BR><FONT SIZE=2>&gt; This message may contain confidential, proprietary or 
legally </FONT>
<BR><FONT SIZE=2>&gt; privileged information. The information is intended only 
for </FONT>
<BR><FONT SIZE=2>&gt; the use of the individual or entity named above. If the 
</FONT>
<BR><FONT SIZE=2>&gt; reader of this message is not the intended recipient, you 
are </FONT>
<BR><FONT SIZE=2>&gt; hereby notified that any dissemination, distribution or 
</FONT>
<BR><FONT SIZE=2>&gt; copying of this communication is strictly prohibited. If 
you </FONT>
<BR><FONT SIZE=2>&gt; have received this communication in error, please notify 
us </FONT>
<BR><FONT SIZE=2>&gt; immediately by telephone, or by e-mail and delete the 
message </FONT>
<BR><FONT SIZE=2>&gt; from your computer.</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; </FONT>
<BR><FONT SIZE=2>&gt; _______________________________________________</FONT>
<BR><FONT SIZE=2>&gt; Help-cfengine mailing list</FONT>
<BR><FONT SIZE=2>&gt; address@hidden </FONT>
<BR><FONT SIZE=2>&gt; <A HREF="http://mail.gnu.org/mailman/listinfo/help-"; 
TARGET="_blank">http://mail.gnu.org/mailman/listinfo/help-</A>&gt; 
cfengine</FONT>
<BR><FONT SIZE=2>&gt; </FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01C2A775.DAFD49C0--



reply via email to

[Prev in Thread] Current Thread [Next in Thread]